Package org.apache.sysds.hops.fedplanner

## Enum FTypes.FType

- java.lang.Object
- - java.lang.Enum<FTypes.FType>
  - - org.apache.sysds.hops.fedplanner.FTypes.FType

All Implemented Interfaces:
  `Serializable`, `Comparable<FTypes.FType>`

Enclosing class:
  FTypes

    public static enum FTypes.FType
    extends Enum<FTypes.FType>

### Enum Constant Summary

Enum Constants
`BROADCAST`
`COL`
`FULL`
`OTHER`
`PART`
`ROW`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`FTypes.FPartitioning` `getPartType()`
`boolean` `isColPartitioned()`
`boolean` `isRowPartitioned()`
`boolean` `isType​(FTypes.FType t)`
`static FTypes.FType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static FTypes.FType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ROW

    public static final FTypes.FType ROW

#### COL

    public static final FTypes.FType COL

#### FULL

    public static final FTypes.FType FULL

#### BROADCAST

    public static final FTypes.FType BROADCAST

#### PART

    public static final FTypes.FType PART

#### OTHER

    public static final FTypes.FType OTHER

### Method Detail

#### values

    public static FTypes.FType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FTypes.FType c : FTypes.FType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FTypes.FType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isRowPartitioned

    public boolean isRowPartitioned()

#### isColPartitioned

    public boolean isColPartitioned()

#### getPartType

    public FTypes.FPartitioning getPartType()

#### isType

    public boolean isType​(FTypes.FType t)